### Enumeration

# WebKit WebExtensionMatchPatternOptions

since: 2.48

#### Declaration

    flags WebKit.WebExtensionMatchPatternOptions

#### Description [src]

Enum values representing matching options.

Available since: 2.48

#### Members

`WEBKIT_WEB_EXTENSION_MATCH_PATTERN_OPTIONS_NONE`

  No special matching options.

  - Value: `1`
  - Available since: 2.48
`WEBKIT_WEB_EXTENSION_MATCH_PATTERN_OPTIONS_IGNORE_SCHEMES`

  The scheme components should be ignored while matching.

  - Value: `2`
  - Available since: 2.48
`WEBKIT_WEB_EXTENSION_MATCH_PATTERN_OPTIONS_IGNORE_PATHS`

  The host components should be ignored while matching.

  - Value: `4`
  - Available since: 2.48
`WEBKIT_WEB_EXTENSION_MATCH_PATTERN_OPTIONS_MATCH_BIDIRECTIONALLY`

  Two patterns should be checked in either direction while matching (A matches B, or B matches A). Invalid for matching URLs.

  - Value: `8`
  - Available since: 2.48